Page MenuHomePhabricator

qrwp.org URL results in double slash and broken link for non-English languages
Closed, ResolvedPublic

Description

Error

Request ID: INSERT_ID

Reasonator QR code URL to Wikipedia article results in qrwp double slash broken link for non-English languages.
Problem exist both for desktop as for smartphone .m sites as well...

Example:
https://tools.wmflabs.org/reasonator/?q=Q7888194

Now click on QR code: this works normal for wp.en, but fails for all (?) other languages:

http://en.qrwp.org/Brexit
https://en.wikipedia.org/wiki/Brexit
(wp.en works normal)
For all other languages it seems to fail:

http://nl.qrwp.org/Brexit
https://nl.wikipedia.org/wiki//Brexit
(note the double // after "wiki")

http://fr.qrwp.org/Brexit
https://fr.wikipedia.org/wiki//Brexit
(note the double // after "wiki")

message
trace

Impact

QR code URL fails with "page does not exist" error.

Notes

Event Timeline

Geertivp created this task.Jan 20 2019, 6:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2019, 6:47 PM
Geertivp updated the task description. (Show Details)Jan 21 2019, 7:32 PM

Possibly related to T209019.

Samwilson renamed this task from Reasonator URL results in qrwp double slash broken link for non-English languages to qrwp.org URL results in double slash and broken link for non-English languages.Jun 28 2019, 1:17 AM
Abbe98 added a subscriber: Abbe98.Jul 8 2019, 12:41 PM
Abbe98 added a comment.Jul 8 2019, 1:29 PM

This seems to be fixed.

Who fixed it? What was wrong?

Jo Brook (WMUK) has been working on the site, and perhaps fixed this also. See my comment on T210050.

As for the specifics of what was wrong, I'm not sure. I imagine some trailing slash in a rewrite rule or something?

Quarz added a subscriber: Quarz.Jul 9 2019, 5:53 AM
Aklapper closed this task as Resolved.Aug 9 2019, 2:13 AM

¯\_(ツ)_/¯